[Unit]
Description=Starts/stops the submit probe monitor daemon
After=syslog.target time-sync.target identityman.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/monitorProbe.py
PIDFile=/var/run/submit/submit-probe.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITPROBEMON
#Environment=MONITORLOGLEVEL=INFO
#Environment=MONITORSYSLOGLOCAL=LOCAL3
#Environment=MONITORSYSLOGIDENTIFIER=SUBMITPROBEMON
#Environment=MONITORPIDFILE=/var/run/submit/submit-probe.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=ACTIVITYUPDATEINTERVAL=900

[Install]
WantedBy=multi-user.target

